Skip to content

Get the root node of a branch tree

GET
/api/v1/drive/projects/{projectId}/branches/{branchKey}/root
curl --request GET \
--url https://app.avera.io/api/v1/drive/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/branches/example/root \
--header 'X-Avera-Drive-Contract: 1'

The tree is projected per request from the branch’s resolved lineage; a project or branch the caller may not see answers not found.

projectId
required
string format: uuid
branchKey
required
string
X-Avera-Drive-Contract
required
integer format: int32
X-Avera-Drive-Naming
string

OK

Media type*/*
object
id
required
string
parentId
string | null
name
required
string
kind
required
string
size
integer | null format: int64
modifiedAt
required
string format: date-time
seq
required
integer format: int64
contentVersion
string | null
state
string | null
status
string | null
number
string | null
typeName
string | null
stateName
string | null
icon
string | null
color
string | null
webUrl
string | null
capabilities
required
object
read
required
boolean
write
required
boolean
addChildren
required
boolean
readReason
string | null
writeReason
string | null
addChildrenReason
string | null
deleted
required
boolean